import styled from "styled-components";
import { Draggable, DraggableStateSnapshot } from "react-beautiful-dnd";

const Container = styled.div`
  border: 1px solid lightgrey;
  border-radius: 2px;
  padding: 8px;
  margin-bottom: 8px;
  background-color: ${(props: DraggableStateSnapshot) =>
    props.isDragging ? "#4038dd" : "#4038ff"};
`;

export interface ITask {
  id: string;
  content: string;
}

const Task = (props: { task: ITask; index: number }) => {
  return (
    <Draggable draggableId={props.task.id} index={props.index}>
      {(provided, snapshot) => (
        <Container
          {...provided.draggableProps}
          {...provided.dragHandleProps}
          ref={provided.innerRef}
          isDragging={snapshot.isDragging}
        >
          {props.task.content}
        </Container>
      )}
    </Draggable>
  );
};

export default Task;
